Skip to main content
GET
Returns the history of the specified accounts payable document.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Path Parameters

payable_id
string<uuid>
required

Query Parameters

order
enum<string>
default:asc

Sort order (ascending by default). Typically used together with the sort parameter.

Available options:
asc,
desc
limit
integer
default:100

The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.

Required range: 1 <= x <= 100
pagination_token
string

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sort
enum<string>

The field to sort the results by. Typically used together with the order parameter.

Available options:
timestamp
event_type__in
enum<string>[]

Return only the specified event types

Available options:
status_changed,
payable_created,
payable_updated,
credit_note_linked,
credit_note_unlinked,
file_attached
entity_user_id__in
string<uuid>[]

Return only events caused by the entity users with the specified IDs. To specify multiple user IDs, repeat this parameter for each ID: entity_user_id__in=<user1>&entity_user_id__in=<user2>

timestamp__gt
string<date-time>

Return only events that occurred after the specified date and time. The value must be in the ISO 8601 format YYYY-MM-DDThh:mm[:ss[.ffffff]][Z|±hh:mm].

timestamp__lt
string<date-time>

Return only events that occurred before the specified date and time.

timestamp__gte
string<date-time>

Return only events that occurred on or after the specified date and time.

timestamp__lte
string<date-time>

Return only events that occurred before or on the specified date and time.

Response

Successful Response

A paginated list of change history records.

data
object[]
required
next_pagination_token
string

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you've reached the last page).

prev_pagination_token
string

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you've reached the first page).